Bug 245656 - security/i2p: Update to 0.9.45
Summary: security/i2p: Update to 0.9.45
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernhard Froehlich
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-04-16 06:41 UTC by Michael Muenz
Modified: 2020-05-16 06:53 UTC (History)
2 users (show)

See Also:


Attachments
i2p update (10.26 KB, patch)
2020-04-16 06:41 UTC, Michael Muenz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Muenz 2020-04-16 06:41:43 UTC
Created attachment 213451 [details]
i2p update

- Take over maintainership
- Update Makefile to make portlint happy
- Disabled unused java-doc
- Add pkg-message for usage notes, since current wrapper implementation is broken
- Removed couple of MASTERSITES since most do not offer the source anymore
Comment 1 Automation User 2020-04-16 07:16:17 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/136557280
Comment 2 Bernhard Froehlich freebsd_committer 2020-05-07 13:44:23 UTC
I'll take it.
Comment 3 commit-hook freebsd_committer 2020-05-16 06:52:09 UTC
A commit references this bug:

Author: decke
Date: Sat May 16 06:51:24 UTC 2020
New revision: 535358
URL: https://svnweb.freebsd.org/changeset/ports/535358

Log:
  security/i2p:
  - Update to 0.9.45
  - Pass maintainership to submitter
  - Update Makefile to make portlint happy
  - Disabled unused java-doc
  - Add pkg-message for usage notes, since current wrapper implementation is broken
  - Removed couple of MASTERSITES since most do not offer the source anymore

  PR:		245656
  Submitted by:	Michael Muenz <m.muenz@gmail.com> (maintainer)

Changes:
  head/security/i2p/Makefile
  head/security/i2p/distinfo
  head/security/i2p/files/patch-apps_i2pcontrol_java_com_thetransactioncompany_jsonrpc2_package-info.java
  head/security/i2p/files/patch-apps_i2pcontrol_java_org_mindrot_jbcrypt_BCrypt.java
  head/security/i2p/files/patch-apps_streaming_java_src_net_i2p_client_streaming_impl_I2PServerSocketFull.java
  head/security/i2p/files/patch-installer-resources-clients.config
  head/security/i2p/files/patch-installer-resources-postinstall.sh
  head/security/i2p/files/patch-installer_resources_postinstall.sh
  head/security/i2p/pkg-message
Comment 4 Bernhard Froehlich freebsd_committer 2020-05-16 06:53:25 UTC
Committed. Thanks!